Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.invocation
Class DefaultBuild

    java.lang.Object
      org.gradle.invocation.DefaultBuild

All Implemented Interfaces:
  BuildInternal

    class DefaultBuild
    extends java.lang.Object

Constructor Summary
`DefaultBuild(StartParameter startParameter, java.lang.ClassLoader buildScriptClassLoader, InternalRepository internalRepository)`

Method Summary
`ProjectEvaluationListener` | `addProjectEvaluationListener(ProjectEvaluationListener listener)`
`void` | `afterProject(Closure closure)`
`void` | `beforeProject(Closure closure)`
`java.lang.ClassLoader` | `getBuildScriptClassLoader()`
`ProjectInternal` | `getDefaultProject()`
`File` | `getGradleHomeDir()`
`File` | `getGradleUserHomeDir()`
`java.lang.String` | `getGradleVersion()`
`InternalRepository` | `getInternalRepository()`
`DefaultPluginRegistry` | `getPluginRegistry()`
`ProjectEvaluationListener` | `getProjectEvaluationBroadcaster()`
`IProjectRegistry` | `getProjectRegistry()`
`ProjectInternal` | `getRootProject()`
`StartParameter` | `getStartParameter()`
`TaskExecuter` | `getTaskGraph()`
`void` | `removeProjectEvaluationListener(ProjectEvaluationListener listener)`
`void` | `setDefaultProject(ProjectInternal defaultProject)`
`void` | `setInternalRepository(InternalRepository internalRepository)`
`void` | `setRootProject(ProjectInternal rootProject)`
`void` | `setTaskGraph(TaskExecuter taskGraph)`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DefaultBuild

    public DefaultBuild(StartParameter startParameter, java.lang.ClassLoader buildScriptClassLoader, InternalRepository internalRepository)

Method Detail

### addProjectEvaluationListener

    public ProjectEvaluationListener addProjectEvaluationListener(ProjectEvaluationListener listener)

### afterProject

    public void afterProject(Closure closure)

### beforeProject

    public void beforeProject(Closure closure)

### getBuildScriptClassLoader

    public java.lang.ClassLoader getBuildScriptClassLoader()

### getDefaultProject

    public ProjectInternal getDefaultProject()

### getGradleHomeDir

    public File getGradleHomeDir()

### getGradleUserHomeDir

    public File getGradleUserHomeDir()

### getGradleVersion

    public java.lang.String getGradleVersion()

### getInternalRepository

    public InternalRepository getInternalRepository()

### getPluginRegistry

    public DefaultPluginRegistry getPluginRegistry()

### getProjectEvaluationBroadcaster

    public ProjectEvaluationListener getProjectEvaluationBroadcaster()

### getProjectRegistry

    public IProjectRegistry getProjectRegistry()

### getRootProject

    public ProjectInternal getRootProject()

### getStartParameter

    public StartParameter getStartParameter()

### getTaskGraph

    public TaskExecuter getTaskGraph()

### removeProjectEvaluationListener

    public void removeProjectEvaluationListener(ProjectEvaluationListener listener)

### setDefaultProject

    public void setDefaultProject(ProjectInternal defaultProject)

### setInternalRepository

    public void setInternalRepository(InternalRepository internalRepository)

### setRootProject

    public void setRootProject(ProjectInternal rootProject)

### setTaskGraph

    public void setTaskGraph(TaskExecuter taskGraph)

Groovy Documentation